Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 121446 - CAN-2003-0618 leaks file existance information
CAN-2003-0618 leaks file existance information
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: perl (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chip Turner
David Lawrence
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-21 13:11 EDT by Leonard den Ottolander
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-10 12:23:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Leonard den Ottolander 2004-04-21 13:11:23 EDT
CAN-2003-0618 was reported 2003Jul29 to Debian. You can test for the
existance of files even if you don't have permission to do so by using
the suidperl command.

        $ su
        # mkdir ~root/delme; chmod 700 ~root/delme;touch ~root/delme/1
        # exit
        $ suidperl ~root/delme/1
        Script is not setuid/setgid in suidperl
        $ suidperl ~root/delme/2
        Can't open perl script "/root/delme/2": No such file ...

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=220486
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=203426

        Affects: Fedora Core 1, perl-suidperl-5.8.3-16

Debian released an errata for this issue in Feb 2004.
Comment 1 Leonard den Ottolander 2004-08-10 12:23:38 EDT
I should have tested this before submitting...

Getting "Permission denied"s. So there's no problem.

Note You need to log in before you can comment on or make changes to this bug.